Skip to main content
GET
Retrieve an employment

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Response

Employment data

id
string
required

Unique ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

start_date
string<date> | null
required

Employee's hire date

Example:

"2018-01-01"

company
object
required

Company information

income
string<decimal> | null

Income amount not including commission or bonuses

Example:

"70000.00"

income_unit
enum<string> | null

The pay interval the income field refers to:

  • YEARLY - Annual income,
  • MONTHLY - Monthly income,
  • WEEKLY - Weekly income,
  • DAILY - Daily income,
  • HOURLY - Hourly income
Available options:
YEARLY,
MONTHLY,
WEEKLY,
DAILY,
HOURLY,
null
Example:

"YEARLY"

pay_rate
string<decimal> | null

Payment rate per pay cycle

Example:

"6500.00"

pay_frequency
enum<string> | null

Pay frequency:

  • M - Monthly,
  • SM - Semi-Monthly,
  • W - Weekly,
  • BW - Bi-Weekly,
  • A - Annually,
  • SA - Semiannually,
  • C - Commission
Available options:
M,
SM,
W,
BW,
A,
SA,
C,
null
Example:

"M"

is_active
boolean | null

Indicates whether the employment is still active

Example:

false

job_title
string | null

Employee's job title

Example:

"PR associate"

job_type
enum<string> | null

Employee's job type:

  • F - Full Time,
  • P - Part Time,
  • S - Seasonal,
  • D - Daily (per diem),
  • C - Contract,
  • V - Volunteer
Available options:
F,
P,
S,
D,
C,
V,
null
Example:

"F"

original_hire_date
string<date> | null

Original hire date

Example:

"2017-06-21"

end_date
string<date> | null

Employee's end date

external_last_updated
string<date> | null

Indicates the date when employment data was last updated on the Payroll Provider side

derived_fields
string[]

Array of derived fields

Example:
missing_data_fields
string[]

List of the data fields which are missing in the payroll API response

Example:
manager_name
string | null

Supervisor's name

Example:

"Jenny McDouglas"